# Uses of Interface
org.osgi.framework.ServiceRegistration

Packages that use ServiceRegistration
Package
Description
org.apache.felix.framework
org.osgi.framework
Framework Package Version 1.8.

## Uses of ServiceRegistration in org.apache.felix.framework

Methods in org.apache.felix.framework that return ServiceRegistration
Modifier and Type
Method
Description
`ServiceRegistration<?>`
ServiceRegistry.`registerService(BundleContext context, String[] classNames, Object svcObj, Dictionary dict)`
Methods in org.apache.felix.framework with parameters of type ServiceRegistration
Modifier and Type
Method
Description
`void`
ServiceRegistry.`unregisterService(Bundle bundle, ServiceRegistration<?> reg)`

## Uses of ServiceRegistration in org.osgi.framework

Methods in org.osgi.framework that return ServiceRegistration
Modifier and Type
Method
Description
`<S> ServiceRegistration<S>`
BundleContext.`registerService(Class<S> clazz, ServiceFactory<S> factory, Dictionary<String,?> properties)`
Registers the specified service factory object with the specified properties under the name of the specified class with the Framework.
`<S> ServiceRegistration<S>`
BundleContext.`registerService(Class<S> clazz, S service, Dictionary<String,?> properties)`
Registers the specified service object with the specified properties under the name of the specified class with the Framework.
`ServiceRegistration<?>`
BundleContext.`registerService(String[] clazzes, Object service, Dictionary<String,?> properties)`
Registers the specified service object with the specified properties under the specified class names into the Framework.
`ServiceRegistration<?>`
BundleContext.`registerService(String clazz, Object service, Dictionary<String,?> properties)`
Registers the specified service object with the specified properties under the specified class name with the Framework.
Methods in org.osgi.framework with parameters of type ServiceRegistration
Modifier and Type
Method
Description
`S`
PrototypeServiceFactory.`getService(Bundle bundle, ServiceRegistration<S> registration)`
Returns a service object for a caller.
`S`
ServiceFactory.`getService(Bundle bundle, ServiceRegistration<S> registration)`
Returns a service object for a bundle.
`void`
PrototypeServiceFactory.`ungetService(Bundle bundle, ServiceRegistration<S> registration, S service)`
Releases a service object customized for a caller.
`void`
ServiceFactory.`ungetService(Bundle bundle, ServiceRegistration<S> registration, S service)`
Releases a service object customized for a bundle.